Subject: Re: Kernel crash after using new Intel NIC (igb)

From: Maximilian Engelhardt <[email-masked]>
Date: Wed, 27 Apr 2011 13:46:30 +0200

On Wednesday 27 April 2011 01:34:09 Wyborny, Carolyn wrote:
> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]]
> >On Behalf Of Maximilian Engelhardt
> >Sent: Sunday, April 24, 2011 3:33 PM
> >To: [email-masked]
> >Cc: [email-masked]; StuStaNet Vorstand
> >Subject: Kernel crash after using new Intel NIC (igb)
> >
> >Hello,
> >
> >some time ago we switched some of our servers to a new networking card
> >that
> >uses the Intel igb driver. Since that time we see regular kernel
> >crashes.
> >The crashes happen at very irregular intervals, sometimes after a week
> >uptime,
> >sometimes after a month or even more. They seem to be independent of the
> >server load as they also happen in the night when there is low traffic.
> >
> >The affected server is used as a NAT device with some iptables rules and
> >serves
> >about 2000 people.
> >
> >Attached are two logs of the crashes as well as the output of dmesg,
> >lspci,
> >and /proc/interrupts as well as the used kernel config.
> >
> >I have no idea what might be wrong but I think it is a kernel bug.
> >Perhaps
> >someone with more knowledge has a clue.
> >
> >If needed I can provide additional information or build different
> >kernels.
> >
> >Greetings,
> >Maxi
> 
> Hello,
> 
> I'm sorry you're having crashes since installing our NIC.  Thank you for
> the data.  I haven't had a chance to review it carefully yet, but it looks
> to me like the crashes have us in the stack sometimes and sometimes not. 
> I need to do a bit more research and will need some more information.  Can
> I get an ethtool -i eth# for the device and also lspci -vvv for the
> platform its installed on.
> 
> If you open an issue at SourceForge we will have a place to keep the logs.
> 
> I will research this a bit more and get back to you tomorrow my time.
> 
> Thanks,
> 
> Carolyn
> Carolyn Wyborny
> Linux Development
> LAN Access Division
> Intel Corporation

Hello Carolyn,

Thanks for your response.

I have opened a issue at
https://sourceforge.net/tracker/?func=detail&aid=3293703&group_id=42302&atid=447449
and also posted all information there.

Please not that yesterday I updated the kernel, so I'm now running 2.6.38.4.
Eric Dumazet mentioned on the LKML that this might be a memory corruption that 
my be solved with kernel 2.6.38.

I'll report if the crash happens again, but it might take some times as in the 
past it happened within the interval of weeks to month.

Here is the output of ethtool (with the new 2.6.38.4 kernel):
$ /sbin/ethtool -i eth0
driver: igb
version: 2.1.0-k2
firmware-version: 1.2-1
bus-info: 0000:05:00.0
$ /sbin/ethtool -i eth1
driver: igb
version: 2.1.0-k2
firmware-version: 1.2-1
bus-info: 0000:05:00.1

The output of lspci -vvv is attached (also with kernel 2.6.38.4 but I guess it 
doesn't make any difference)

Greetings,
Maxi